Account Mappings
Logical role → account mappings
List account mappings
x-api-key<token>
API key for programmatic access
In: header
Query Parameters
entityId*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://app.axiomatic.us/api/accounts/mappings?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"logicalRole": "string",
"accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
"priority": 0,
"packLayer": "string",
"effectiveDate": "2019-08-24",
"expirationDate": "2019-08-24",
"conditions": {},
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"code": "string",
"name": "string",
"type": "ASSET",
"normalBalance": "DEBIT",
"parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
"currency": "string",
"isActive": true,
"tags": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z"
}
}
]{
"error": "string"
}{
"error": "string"
}Create an account mapping
x-api-key<token>
API key for programmatic access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.us/api/accounts/mappings" \ -H "Content-Type: application/json" \ -d '{ "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "logicalRole": "CASH", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"logicalRole": "string",
"accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
"priority": 0,
"packLayer": "string",
"effectiveDate": "2019-08-24",
"expirationDate": "2019-08-24",
"conditions": {},
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"code": "string",
"name": "string",
"type": "ASSET",
"normalBalance": "DEBIT",
"parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
"currency": "string",
"isActive": true,
"tags": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z"
}
}{
"error": "string"
}{
"error": "string"
}Delete an account mapping
x-api-key<token>
API key for programmatic access
In: header
Query Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://app.axiomatic.us/api/accounts/mappings?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"success": true
}{
"error": "string"
}{
"error": "string"
}